org.apache.hadoop.fs

## Class Options

- java.lang.Object
- - org.apache.hadoop.fs.Options

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public final class Options
      extends Object

  This class contains options related to file system operations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Options.ChecksumCombineMode` Enum for indicating what mode to use when combining chunk and block checksums to define an aggregate FileChecksum.
    `static class` | `Options.ChecksumOpt` This is used in FileSystem and FileContext to specify checksum options.
    `static class` | `Options.CreateOpts` Class to support the varargs for create() options.
    `static class` | `Options.HandleOpt` Options for creating `PathHandle` references.
    `static class` | `Options.Rename` Enum to support the varargs for rename() options

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.